player = {}
player.x = love.graphics.getWidth()
player.y = love.graphics.getHeight()
player.w = 20
player.h = 40
player.speed = 400
player.grounded = false
player.yvel = 0
player.weight = 10
player.jumpForce = 600
player.active = true

player.spawnX = screen.x
player.spawnY = screen.y

player.leftCol = false
player.righCol = false
player.topCol = false
--player.botCol = false

player.hitLeft = false
player.hitRight = false
player.hitBottom = false
player.hitTop = false

topCol = {}
topCol.x = 0
topCol.y = 0
topCol.w = 5
topCol.h = 5

botCol = {}
botCol.x = 0
botCol.y = 0
botCol.w = 5
botCol.h = 5

rCol = {}
rCol.x = 0
rCol.y = 0
rCol.w = 10
rCol.h = 30

lCol = {}
lCol.x = 0
lCol.y = 0
lCol.w = 10
lCol.h = 30

function player_update(dt)

	if(love.keyboard.isDown("r") and player.active == false) then
		screen.x = player.spawnX
		screen.y = player.spawnY
		player.yvel = 0
		player.active = true
	end
	
	--CheckCol
	player.hitLeft = false
	player.hitRight = false
	player.hitBottom = false
	player.hitTop = false
	for i,v in ipairs(ob) do
		if(v.x + screen.x - love.graphics.getWidth() + 200< love.graphics.getWidth()) then
		if CheckCollision(botCol.x, botCol.y, botCol.w, botCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			player.hitBottom = true
		end
		if CheckCollision(botCol.x, botCol.y, botCol.w, 1, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			screen.y = screen.y - 1
		end
		if CheckCollision(topCol.x, topCol.y, topCol.w, topCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			player.hitTop = true
		end
		if CheckCollision(lCol.x, lCol.y, lCol.w, lCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			player.hitLeft = true
			if CheckCollision(lCol.x+lCol.w, lCol.y, 1, lCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
				screen.x = screen.x -1
			end
		end

		if CheckCollision(rCol.x, rCol.y, rCol.w, rCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			player.hitRight = true
			if CheckCollision(rCol.x, rCol.y, 1, rCol.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
				screen.x = screen.x +1
			end
		end

		end
	end
	--Spike
	for i,v in ipairs(sp) do
		if CheckCollision(player.x, player.y, player.w, player.h, v.x + screen.x, v.y - screen.y, v.w, v.h) then
			player.active = false
		end
	end
	for i,v in ipairs(tp) do
		if CheckCollision(player.x, player.y, player.w/2, player.h/2, v.x + screen.x, v.y - screen.y, v.w/2, v.h/2) then
			player.spawnY = screen.y
			player.spawnX = screen.x
		end
	end
	--left
	if(player.hitLeft == true) then
		player.leftCol = true
	else
		player.leftCol = false
	end
	--right
	if(player.hitRight == true) then
		player.rightCol = true
	else
		player.rightCol = false
	end
	--bottom
	if(player.hitBottom == true and player.yvel >= 0) then
		player.grounded = true
	else
		player.grounded = false
	end	
	--top
	if(player.hitTop == true and player.yvel < player.weight) then
		player.yvel = player.weight
	end	
	
	if(player.active == true) then
		--Jump
		if(love.keyboard.isDown(" ") and player.grounded == true) then
			player.yvel = -player.jumpForce
			player.grounded = false
		end
		--fall
		if(player.grounded == false) then
			player.yvel = player.yvel + gravity * player.weight * dt
		end
		if(player.grounded == true) then
			player.yvel = 0
		end
		-- Move
		if(love.keyboard.isDown("d") and player.rightCol == false or love.keyboard.isDown("right") and player.rightCol == false) then
			--player.x = player.x + player.speed * dt
			screen.x = screen.x - player.speed * dt
		end
		if(love.keyboard.isDown("a") and player.leftCol == false or love.keyboard.isDown("left") and player.leftCol == false) then
			--player.x = player.x - player.speed * dt
			screen.x = screen.x + player.speed * dt
		end
		screen.y = screen.y + player.yvel * dt
	end
	--Move Col
	topCol.x = player.x + player.w/2 - topCol.w/2
	topCol.y = player.y - topCol.h/2
	
	botCol.x = player.x + player.w/2 - botCol.w/2
	botCol.y = player.y + player.h - botCol.h/2
	
	lCol.x = player.x - lCol.w/2
	lCol.y = player.y + player.h/2 - lCol.h/2
	
	rCol.x = player.x - rCol.w/2 + player.w
	rCol.y = player.y + player.h/2 - rCol.h/2
end

function player_draw()
	if(player.active == true) then
		love.graphics.rectangle("fill",player.x,player.y,player.w,player.h)
	end
	if(debug == true) then
		love.graphics.setColor(255,0,0)
		love.graphics.rectangle("fill",topCol.x,topCol.y,topCol.w,topCol.h)
		love.graphics.rectangle("fill",botCol.x,botCol.y,botCol.w,botCol.h)
		love.graphics.rectangle("fill",rCol.x,rCol.y,rCol.w,rCol.h)
		love.graphics.rectangle("fill",lCol.x,lCol.y,lCol.w,lCol.h)
		love.graphics.setColor(255,255,255)
	end
end